> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trackstarhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Connection

> Manually update properties of the connection associated with your access token.



## OpenAPI

````yaml patch /connections
openapi: 3.1.0
info:
  description: >

    Trackstar is a Unified API that provides standard endpoints for Supply Chain
    Logistics. We currently offer an API for Warehouse Management Systems (WMS).
  title: Trackstar API
  version: 0.1.0
servers:
  - description: Trackstar API
    url: https://production.trackstarhq.com
security: []
tags: []
externalDocs:
  description: Trackstar API Documentation
  url: https://docs.trackstarhq.com
paths:
  /connections:
    patch:
      tags:
        - Auth
      summary: Update Connection
      description: >-
        Manually update properties of the connection associated with your access
        token.
      operationId: patch_update_connection
      parameters:
        - in: header
          name: x-trackstar-api-key
          description: Your organization-level Trackstar API key.
          schema:
            type: string
            example: <x-trackstar-api-key>
          required: true
        - in: header
          name: x-trackstar-access-token
          description: >-
            Your user's access token for a specific integration (ShipHero,
            Extensiv, etc).
          schema:
            type: string
            example: <x-trackstar-access-token>
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateConnectionSchema'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateResponseSchema'
          description: Successful response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
components:
  schemas:
    UpdateConnectionSchema:
      type: object
      properties:
        customer_id:
          type:
            - string
            - 'null'
          description: An identifier for your end customer.
          example: customer_id
        webhooks_disabled:
          type: boolean
          description: ''
          example: true
      additionalProperties: false
      title: UpdateConnectionSchema
    UpdateResponseSchema:
      type: object
      properties:
        id:
          type: string
          description: The id of the updated object.
          example: example-id-123
        object:
          type: string
          description: The type of the object that was updated.
          example: connection
        updated:
          type: boolean
          description: Whether or not the object was updated.
          example: true
      required:
        - id
        - object
        - updated
      additionalProperties: false
      title: UpdateResponseSchema
    ValidationError:
      properties:
        error:
          type: string
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
      required:
        - error
      type: object
      title: ValidationError

````